<?php
/*
 * $Horde: horde/help.php,v 2.37 2001/05/23 16:54:32 jon Exp $
 *
 * Copyright 1999, 2000 Jon Parise <jon@horde.org>
 *
 * See the enclosed file COPYING for license information (LGPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/lgpl.html.
 */

require './config/horde.php';
error_reporting($conf['debug_level']);

require_once './lib/Horde.php';
require_once './lib/Help.php';
require_once './lib/Lang.php';

require './config/lang.php';
$language = Lang::select();
putenv("LANG=$language");
@setlocale(LC_ALL, $language);
bindtextdomain('horde', './locale');
textdomain('horde');

$title = _("Help");
$show = strtolower(Horde::getFormData('show', 'index'));
$module = strtolower(basename(Horde::getFormData('module', 'horde')));
$topic = Horde::getFormData('topic');

$help_dir = ($module == 'horde') ? './locale/' : "./$module/locale/";
$help_file = $help_dir . "$language/help.xml";

if ($show == 'index') {
    include $conf['horde']['paths']['templates'] . '/help/index.inc';
} else {
    include $conf['horde']['paths']['templates'] . '/common-header.inc';
    if ($show == 'menu') {
        include $conf['horde']['paths']['templates'] . '/help/menu.inc';
    } else {
        include $conf['horde']['paths']['templates'] . '/help/header.inc';
        
        $help = new Help(HELP_SOURCE_FILE, $help_file);
        if (($show == 'entry') && !empty($topic)) {
            $help->lookup($topic);
            $help->display();
        } else {
            $topics = $help->topics();
            foreach ($topics as $id => $title) {
                echo '<a class="smallheader" href="' . $conf['horde']['paths']['root'].'/help.php?show=entry';
                echo '&module=' . $module . '&topic=' . $id . '">';
                echo $title . "</a><br>\n";
            }
        }
        $help->cleanup();
        
        include $conf['horde']['paths']['templates'] . '/help/footer.inc';
    }
}

require $conf['horde']['paths']['templates'] . '/common-footer.inc';

?>
