<?php
/*
 * $Horde: horde/index.php,v 2.35 2001/04/20 22:44:54 max Exp $
 *
 * Copyright 1999, 2000 Charles J. Hagenbuch <chuck@horde.org>
 * Copyright 1999, 2000 Jon Parise <jon@horde.org>
 *
 * See the enclosed file COPYING for license information (LGPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/lgpl.html.
 */

$horde_configured = (@file_exists('./config/horde.php') &&
                     @file_exists('./config/html.php') &&
                     @file_exists('./config/mime.php') &&
                     @file_exists('./config/registry.php'));

if ($horde_configured) {
    include './config/horde.php';
    error_reporting($conf['debug_level']);
    
    session_name($conf['session_name']);
    @session_start();

    include_once './lib/Horde.php';
    include_once './lib/Browser.php';

    $browser = new Browser();
    
    if ($browser->hasFeature('wml')) {
        include $conf['horde']['paths']['templates'] . '/index/wap.inc';
    } elseif ($conf['floating_bar'] && (!$browser->hasQuirk('avoid_popup_windows'))) {
        require_once './lib/Registry.php';
        $registry = new Registry();
        $flmenu_width = count($registry->applications) * 50;
        include $conf['horde']['paths']['templates'] . '/index/floating_index.inc';
    } else {
        include $conf['horde']['paths']['templates'] . '/index/frames_index.inc';
    }
} else {
    $conf['horde']['paths']['root'] = dirname($HTTP_SERVER_VARS['SCRIPT_NAME']);
    $conf['sitename'] = 'Horde Application Framework';
    $title = _("Horde is not fully configured.");
    include './templates/common-header.inc';
    include './templates/index/horde_notconfigured.inc';
    include './templates/common-footer.inc';
}

?>
