<?php
// $Horde: horde/lib/MIME/Viewer/msword.php,v 1.1 2001/05/28 00:18:42 avsm Exp $

/**
 * The MIME_Viewer_msword class renders out Microsoft Word
 * documents in HTML format by using the wvWare package.
 *
 * @author  Anil Madhavapeddy <anil@recoil.org>
 * @version $Revision: 1.1 $
 * @since   Horde 1.3
 * @package horde.mime.viewer.msword
 */

class MIME_Viewer_msword extends MIME_Viewer {

    /**
     * Render out the currently set contents using Enscript
     * The $mime_part class variable has the information to render
     * out, encapsulated in a MIME_Part object.
     * @return string HTML pretty-print of the content
     */
    function render() {
        global $mime_drivers;

        $tmp_word   = Horde::getTempFile('msword');
        $tmp_output = Horde::getTempFile('msword');

        $fh = fopen($tmp_word, 'w');
        fwrite($fh, $this->mime_part->getContents());
        fclose($fh);

        exec($mime_drivers['msword']['location'] . " $tmp_word $tmp_output");

        if (!file_exists( $tmp_output )) {
            return _("Unable to translate this Word document");
        }

        $out = fopen( $tmp_output, 'r' );
        $data = '';
        while (($rc = fgets($out, 8192))) {
            $data .= $rc;
        }

        return $data;
    }

    function getType() {
        return 'text/html';
    }
}
