<?php
// $Horde: horde/lib/MIME/Viewer/tgz.php,v 1.3 2001/05/27 23:58:11 avsm Exp $

/**
 * The MIME_Viewer_tgz class renders out .tgz tarballs
 * in HTML format by executing tar in query mode.
 *
 * @author  Anil Madhavapeddy <anil@recoil.org>
 * @version $Revision: 1.3 $
 * @since   Horde 1.3
 * @package horde.mime.viewer.tgz
 */

class MIME_Viewer_tgz extends MIME_Viewer {

    /**
     * Render out the currently set contents using Enscript
     * The $mime_part class variable has the information to render
     * out, encapsulated in a MIME_Part object.
     * @return string HTML pretty-print of the content
     */
    function render() {
        global $mime_drivers;

        $tmp_tgz = Horde::getTempFile('hordetgz');

        $fh = fopen($tmp_tgz, 'w');
        fwrite($fh, $this->mime_part->getContents());
        fclose($fh);

        $pipe = popen($mime_drivers['tgz']['location'] . " tvzf $tmp_tgz 2>&1", 'r');
        $data = '<b><u>Contents of the GZipped Tarball</u></b><br /><table><tr><td align="left"><pre>';

        $re = '';
        while (($rc=fgets($pipe,10))) {
            $re .= $rc;
        }

        pclose($pipe);

        $data .= htmlspecialchars($re);
        $data .= '</pre></td></tr></table>';

        return $data;
    }

    function getType() {
        return 'text/html';
    }
}
