<?php
/*
 * $Horde: horde/menu.php,v 2.5 2001/05/23 16:54:33 jon Exp $
 *
 * Copyright 1999, 2000 Charles J. Hagenbuch <chuck@horde.org>
 * Copyright 1999, 2000 Jon Parise <jon@horde.org>
 *
 * See the enclosed file COPYING for license information (LGPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/lgpl.html.
 */

require './config/horde.php';
error_reporting($conf['debug_level']);

require_once './lib/Horde.php';
require_once './lib/Browser.php';
require_once './lib/Registry.php';
$browser = new Browser();
$registry = new Registry();

session_name($conf['session_name']);
@session_start();

/* Define target */
$opener = false;
if ($conf['floating_bar'] && (!$browser->hasQuirk('avoid_popup_windows'))) {
    $opener = true;
    $title = _("Horde System");
}

require $conf['horde']['paths']['templates'] . '/common-header.inc';

/* Build the menu out of the modules array */
$moduletext = '';

/*
 * Now print a link for each module (no links are fine since there
 * will be other stuff here)
 */
foreach ($registry->applications as $service => $params) {
    $line = '<td class="header" align="center" valign="bottom">';
    if (!$opener) {
        $line .= '<a class="menuitem" href="' . $params['webroot'].'" target="main">';
    } else {
        $line .= '<a class="menuitem" href="" onclick="window.opener.location.href=\'' . $params['webroot'] . '\'; return false;">';
    }
    $line .= '<img src="' . $params['icon'] .
        '" border="0" hspace="5" align="absmiddle"><br />' .
        $params['name'] . '</a></td>';
    $moduletext .= "$line\n";
}

$line = '<td class="header" align="center" valign="bottom">';
if (!$opener) {
    $line .= '<a class="menuitem" href="' . Horde::url('login.php') . '" target="main">';
} else {
    $line .= '<a class="menuitem" href="" onclick="window.opener.location.href=\'' . Horde::url('login.php') . '\'; return false;">';
}
$line .= '<img src="graphics/login.gif" border="0" hspace="5" align="absmiddle"><br />' ._("Horde") . '</a></td>';
$moduletext .= "$line\n";

require $conf['horde']['paths']['templates'] . '/horde/modules.inc';
require $conf['horde']['paths']['templates'] . '/common-footer.inc';

?>
